
// -*- C++ -*-
// $Id: RedirectionService_Export.h 84406 2009-02-11 14:59:08Z wotte $
// Definition for Win32 Export directives.
// This file is generated automatically by generate_export_file.pl RedirectionService
// ------------------------------
#ifndef REDIRECTIONSERVICE_EXPORT_H
#define REDIRECTIONSERVICE_EXPORT_H

#include "ace/config-all.h"

#if defined (ACE_AS_STATIC_LIBS) && !defined (REDIRECTIONSERVICE_HAS_DLL)
#  define REDIRECTIONSERVICE_HAS_DLL 0
#endif /* ACE_AS_STATIC_LIBS && REDIRECTIONSERVICE_HAS_DLL */

#if !defined (REDIRECTIONSERVICE_HAS_DLL)
#  define REDIRECTIONSERVICE_HAS_DLL 1
#endif /* ! REDIRECTIONSERVICE_HAS_DLL */

#if defined (REDIRECTIONSERVICE_HAS_DLL) && (REDIRECTIONSERVICE_HAS_DLL == 1)
#  if defined (REDIRECTIONSERVICE_BUILD_DLL)
#    define RedirectionService_Export ACE_Proper_Export_Flag
#    define REDIRECTIONSERVICE_SINGLETON_DECLARATION(T) ACE_EXPORT_SINGLETON_DECLARATION (T)
#    define REDIRECTIONSERVICE_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_EXPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  else /* REDIRECTIONSERVICE_BUILD_DLL */
#    define RedirectionService_Export ACE_Proper_Import_Flag
#    define REDIRECTIONSERVICE_SINGLETON_DECLARATION(T) ACE_IMPORT_SINGLETON_DECLARATION (T)
#    define REDIRECTIONSERVICE_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  endif /* REDIRECTIONSERVICE_BUILD_DLL */
#else /* REDIRECTIONSERVICE_HAS_DLL == 1 */
#  define RedirectionService_Export
#  define REDIRECTIONSERVICE_SINGLETON_DECLARATION(T)
#  define REDIRECTIONSERVICE_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#endif /* REDIRECTIONSERVICE_HAS_DLL == 1 */

// Set REDIRECTIONSERVICE_NTRACE = 0 to turn on library specific tracing even if
// tracing is turned off for ACE.
#if !defined (REDIRECTIONSERVICE_NTRACE)
#  if (ACE_NTRACE == 1)
#    define REDIRECTIONSERVICE_NTRACE 1
#  else /* (ACE_NTRACE == 1) */
#    define REDIRECTIONSERVICE_NTRACE 0
#  endif /* (ACE_NTRACE == 1) */
#endif /* !REDIRECTIONSERVICE_NTRACE */

#if (REDIRECTIONSERVICE_NTRACE == 1)
#  define REDIRECTIONSERVICE_TRACE(X)
#else /* (REDIRECTIONSERVICE_NTRACE == 1) */
#  if !defined (ACE_HAS_TRACE)
#    define ACE_HAS_TRACE
#  endif /* ACE_HAS_TRACE */
#  define REDIRECTIONSERVICE_TRACE(X) ACE_TRACE_IMPL(X)
#  include "ace/Trace.h"
#endif /* (REDIRECTIONSERVICE_NTRACE == 1) */

#endif /* REDIRECTIONSERVICE_EXPORT_H */

// End of auto generated file.
