
// -*- C++ -*-
// $Id: Target_Manager_Module_export.h 86021 2009-07-14 12:14:35Z wotte $
// Definition for Win32 Export directives.
// This file is generated automatically by generate_export_file.pl TargetManager_Module
// ------------------------------
#ifndef TARGETMANAGER_MODULE_EXPORT_H
#define TARGETMANAGER_MODULE_EXPORT_H

#include "ace/config-all.h"

#if defined (ACE_AS_STATIC_LIBS) && !defined (TARGETMANAGER_MODULE_HAS_DLL)
#  define TARGETMANAGER_MODULE_HAS_DLL 0
#endif /* ACE_AS_STATIC_LIBS && TARGETMANAGER_MODULE_HAS_DLL */

#if !defined (TARGETMANAGER_MODULE_HAS_DLL)
#  define TARGETMANAGER_MODULE_HAS_DLL 1
#endif /* ! TARGETMANAGER_MODULE_HAS_DLL */

#if defined (TARGETMANAGER_MODULE_HAS_DLL) && (TARGETMANAGER_MODULE_HAS_DLL == 1)
#  if defined (TARGETMANAGER_MODULE_BUILD_DLL)
#    define DAnCE_TargetManager_Module_Export ACE_Proper_Export_Flag
#    define TARGETMANAGER_MODULE_SINGLETON_DECLARATION(T) ACE_EXPORT_SINGLETON_DECLARATION (T)
#    define TARGETMANAGER_MODULE_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_EXPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  else /* TARGETMANAGER_MODULE_BUILD_DLL */
#    define DAnCE_TargetManager_Module_Export ACE_Proper_Import_Flag
#    define TARGETMANAGER_MODULE_SINGLETON_DECLARATION(T) ACE_IMPORT_SINGLETON_DECLARATION (T)
#    define TARGETMANAGER_MODULE_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  endif /* TARGETMANAGER_MODULE_BUILD_DLL */
#else /* TARGETMANAGER_MODULE_HAS_DLL == 1 */
#  define DAnCE_TargetManager_Module_Export
#  define TARGETMANAGER_MODULE_SINGLETON_DECLARATION(T)
#  define TARGETMANAGER_MODULE_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#endif /* TARGETMANAGER_MODULE_HAS_DLL == 1 */

// Set TARGETMANAGER_MODULE_NTRACE = 0 to turn on library specific tracing even if
// tracing is turned off for ACE.
#if !defined (TARGETMANAGER_MODULE_NTRACE)
#  if (ACE_NTRACE == 1)
#    define TARGETMANAGER_MODULE_NTRACE 1
#  else /* (ACE_NTRACE == 1) */
#    define TARGETMANAGER_MODULE_NTRACE 0
#  endif /* (ACE_NTRACE == 1) */
#endif /* !TARGETMANAGER_MODULE_NTRACE */

#if (TARGETMANAGER_MODULE_NTRACE == 1)
#  define TARGETMANAGER_MODULE_TRACE(X)
#else /* (TARGETMANAGER_MODULE_NTRACE == 1) */
#  if !defined (ACE_HAS_TRACE)
#    define ACE_HAS_TRACE
#  endif /* ACE_HAS_TRACE */
#  define TARGETMANAGER_MODULE_TRACE(X) ACE_TRACE_IMPL(X)
#  include "ace/Trace.h"
#endif /* (TARGETMANAGER_MODULE_NTRACE == 1) */

#endif /* TARGETMANAGER_MODULE_EXPORT_H */

// End of auto generated file.
