
// -*- C++ -*-
// $Id: Session_Container_export.h 84406 2009-02-11 14:59:08Z wotte $
// Definition for Win32 Export directives.
// This file is generated automatically by generate_export_file.pl Session_Container
// ------------------------------
#ifndef SESSION_CONTAINER_EXPORT_H
#define SESSION_CONTAINER_EXPORT_H

#include "ace/config-all.h"

#if defined (ACE_AS_STATIC_LIBS) && !defined (SESSION_CONTAINER_HAS_DLL)
#  define SESSION_CONTAINER_HAS_DLL 0
#endif /* ACE_AS_STATIC_LIBS && SESSION_CONTAINER_HAS_DLL */

#if !defined (SESSION_CONTAINER_HAS_DLL)
#  define SESSION_CONTAINER_HAS_DLL 1
#endif /* ! SESSION_CONTAINER_HAS_DLL */

#if defined (SESSION_CONTAINER_HAS_DLL) && (SESSION_CONTAINER_HAS_DLL == 1)
#  if defined (SESSION_CONTAINER_BUILD_DLL)
#    define Session_Container_Export ACE_Proper_Export_Flag
#    define SESSION_CONTAINER_SINGLETON_DECLARATION(T) ACE_EXPORT_SINGLETON_DECLARATION (T)
#    define SESSION_CONTAINER_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_EXPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  else /* SESSION_CONTAINER_BUILD_DLL */
#    define Session_Container_Export ACE_Proper_Import_Flag
#    define SESSION_CONTAINER_SINGLETON_DECLARATION(T) ACE_IMPORT_SINGLETON_DECLARATION (T)
#    define SESSION_CONTAINER_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  endif /* SESSION_CONTAINER_BUILD_DLL */
#else /* SESSION_CONTAINER_HAS_DLL == 1 */
#  define Session_Container_Export
#  define SESSION_CONTAINER_SINGLETON_DECLARATION(T)
#  define SESSION_CONTAINER_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#endif /* SESSION_CONTAINER_HAS_DLL == 1 */

// Set SESSION_CONTAINER_NTRACE = 0 to turn on library specific tracing even if
// tracing is turned off for ACE.
#if !defined (SESSION_CONTAINER_NTRACE)
#  if (ACE_NTRACE == 1)
#    define SESSION_CONTAINER_NTRACE 1
#  else /* (ACE_NTRACE == 1) */
#    define SESSION_CONTAINER_NTRACE 0
#  endif /* (ACE_NTRACE == 1) */
#endif /* !SESSION_CONTAINER_NTRACE */

#if (SESSION_CONTAINER_NTRACE == 1)
#  define SESSION_CONTAINER_TRACE(X)
#else /* (SESSION_CONTAINER_NTRACE == 1) */
#  if !defined (ACE_HAS_TRACE)
#    define ACE_HAS_TRACE
#  endif /* ACE_HAS_TRACE */
#  define SESSION_CONTAINER_TRACE(X) ACE_TRACE_IMPL(X)
#  include "ace/Trace.h"
#endif /* (SESSION_CONTAINER_NTRACE == 1) */

#endif /* SESSION_CONTAINER_EXPORT_H */

// End of auto generated file.
